Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class RetentionPolicy

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.SystemObject
                  oracle.ifs.beans.TieSystemObject
                      oracle.ifs.beans.RetentionPolicy

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  TieRetentionPolicy

    public class RetentionPolicy

extends TieSystemObject

A RetentionPolicy represents restrictions applied to a PublicObject.

(Unpublished)

Field Summary
`static java.lang.String` | `CLASS_NAME` The name of the ClassObject representing this class.
`static java.lang.String` | `DESCRIPTION_ATTRIBUTE` The name of the attribute that holds a textual description of the RetentionPolicy.
`static java.lang.String` | `NAME_ATTRIBUTE` The name of the attribute that holds the name of this RetentionPolicy.
`static java.lang.String` | `RECORD_ATTRIBUTE` The name of the attribute that indicates whether document instances that reference this RetentionPolicy are implicitly considered records.
`static java.lang.String` | `REFERENCED_ATTRIBUTE` The name of the attribute that indicates whether any document instances reference this RetentionPolicy.

Fields inherited from class oracle.ifs.beans.SystemObject
`ACTIVE_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `RetentionPolicy(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Construct a RetentionPolicy object.

Method Summary
`void` | `applyLock(Document doc)` Apply a record lock on the specified document, as it is in the process of referencing this RetentionPolicy.
`void` | `applyLock(DocumentDefinition def)` Apply a record lock on the specified document, as it is in the process of referencing this RetentionPolicy.
`void` | `applyUnlock(Document doc)` Release the lock held on the specified document, as it is in the process of not referencing this RetentionPolicy.
`static RetentionPolicy[]` | `findAll(LibrarySession session)` Returns the set of defined RetentionPolicy instances.
`static RetentionPolicy` | `findByName(LibrarySession session, java.lang.String name)` Returns a RetentionPolicy matching the specified name.
`java.lang.String` | `getDescription()` Gets the description of this RetentionPolicy.
`protected void` | `handleUpdate(LibraryObjectDefinition lodef)` Handle the low-level repository update
`boolean` | `hasNameAttribute()` Returns true if this object is an instance of a class that has a NAME attribute, and false otherwise.
`boolean` | `isRecord()` Gets the indication of whether document instances that reference this RetentionPolicy are implicitly considered records.
`boolean` | `isReferenced()` Gets the indication of whether any document instances reference this RetentionPolicy.
`protected void` | `preFree(LibraryObjectDefinition lodef)` Extensibility point to perform actions prior to the permanent deletion ("free") of a object.
`void` | `setReferenced(boolean active)` Sets the REFERENCED attribute for this object.

Methods inherited from class oracle.ifs.beans.SystemObject
`addCategory, constructSystemObject, constructSystemObjectVector, free, freeCategories, getCategories, getCategories, getCategories, getCategories, getPolicyBundle, getPolicyLists, handleCreate, isActive, postCreate, postUpdate, preCreate, preUpdate, putPolicy, removeAllPolicies, removePolicy, removePolicy, setActive, setPolicyBundle, setPolicyLists`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `RetentionPolicy`
  The name of the ClassObject representing this class.

  See Also:
    Constant Field Values
  (Published)

### NAME_ATTRIBUTE

    public static final java.lang.String NAME_ATTRIBUTE

  Description copied from class: `RetentionPolicy`
  The name of the attribute that holds the name of this RetentionPolicy. (String[700])

  See Also:
    Constant Field Values

### DESCRIPTION_ATTRIBUTE

    public static final java.lang.String DESCRIPTION_ATTRIBUTE

  Description copied from class: `RetentionPolicy`
  The name of the attribute that holds a textual description of the RetentionPolicy. (String[2000])

  See Also:
    Constant Field Values

### RECORD_ATTRIBUTE

    public static final java.lang.String RECORD_ATTRIBUTE

  Description copied from class: `RetentionPolicy`
  The name of the attribute that indicates whether document instances that reference this RetentionPolicy are implicitly considered records. (Boolean)

  See Also:
    Constant Field Values

### REFERENCED_ATTRIBUTE

    public static final java.lang.String REFERENCED_ATTRIBUTE

  Description copied from class: `RetentionPolicy`
  The name of the attribute that indicates whether any document instances reference this RetentionPolicy. (Boolean)

  See Also:
    Constant Field Values

Constructor Detail

### RetentionPolicy

    protected RetentionPolicy(LibrarySession session,
                              java.lang.Long id,
                              java.lang.Long classId,
                              S_LibraryObjectData data)
                       throws IfsException

  Construct a RetentionPolicy object.

  Parameters:
    `session` - current LibrarySession
    `id` - object id
    `classId` - class id
    `data` - data component
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### hasNameAttribute

    public boolean hasNameAttribute()
                             throws IfsException

  Description copied from class: `LibraryObject`
  Returns true if this object is an instance of a class that has a NAME attribute, and false otherwise.

  Overrides:
    `hasNameAttribute` in class `LibraryObject`
  Returns:
    true if the object has a NAME attribute.
  Throws:
    `IfsException` - if operation fails.

### getDescription

    public java.lang.String getDescription()
                                    throws IfsException

  Description copied from class: `RetentionPolicy`
  Gets the description of this RetentionPolicy.

  Returns:
    the object description
  Throws:
    `IfsException` - if operation fails

### isRecord

    public boolean isRecord()
                     throws IfsException

  Description copied from class: `RetentionPolicy`
  Gets the indication of whether document instances that reference this RetentionPolicy are implicitly considered records.

  Returns:
    true if this is a record RetentionPolicy; false otherwise
  Throws:
    `IfsException` - if operation fails

### isReferenced

    public boolean isReferenced()
                         throws IfsException

  Description copied from class: `RetentionPolicy`
  Gets the indication of whether any document instances reference this RetentionPolicy.

  Returns:
    true if document instances exist that reference this; false otherwise
  Throws:
    `IfsException` - if operation fails

### setReferenced

    public void setReferenced(boolean active)
                       throws IfsException

  Description copied from class: `RetentionPolicy`
  Sets the REFERENCED attribute for this object.

  This is set to true the first time a document references this policy. It is eventually set to false once it is determined that no documents still reference the policy.

  Parameters:
    `active` - the new REFERENCED status value
  Throws:
    `IfsException` - if operation fails.
  (Published)

### applyLock

    public void applyLock(DocumentDefinition def)
                   throws IfsException

  Description copied from class: `RetentionPolicy`
  Apply a record lock on the specified document, as it is in the process of referencing this RetentionPolicy.

  Called from within the create operation on Document, when this RetentionPolicy is being referenced by the Document.

  Parameters:
    `def` - the DocumentDefinition that is now referencing this policy
  Throws:
    `IfsException` - if operation fails.

### applyLock

    public void applyLock(Document doc)
                   throws IfsException

  Description copied from class: `RetentionPolicy`
  Apply a record lock on the specified document, as it is in the process of referencing this RetentionPolicy.

  Called from within the update operation on Document, when this RetentionPolicy is being referenced by the Document.

  Parameters:
    `doc` - the Document that is now referencing this policy
  Throws:
    `IfsException` - if operation fails.

### applyUnlock

    public void applyUnlock(Document doc)
                     throws IfsException

  Description copied from class: `RetentionPolicy`
  Release the lock held on the specified document, as it is in the process of not referencing this RetentionPolicy.

  Called from within the update operation on Document, when a previously referenced record RetentionPolicy was being referenced. This instance is the previously referenced RetentionPolicy.

  Parameters:
    `doc` - the Document that was referencing this policy
  Throws:
    `IfsException` - if operation fails.

### handleUpdate

    protected void handleUpdate(LibraryObjectDefinition lodef)
                         throws IfsException

  Description copied from class: `LibraryObject`
  Handle the low-level repository update

  Overrides:
    `handleUpdate` in class `LibraryObject`
  Parameters:
    `lodef` - the LibraryObjectDefinition describing the desired updates.
  Throws:
    `IfsException` - if operation fails.

### preFree

    protected void preFree(LibraryObjectDefinition lodef)
                    throws IfsException

  Description copied from class: `LibraryObject`
  Extensibility point to perform actions prior to the permanent deletion ("free") of a object.

  This method is typically overridden by subclasses that perform other operations prior to the target object being freed in order to all delete or modify objects related to the target object. Subclasses are expected to invoke `super.preFree`.

  Overrides:
    `preFree` in class `LibraryObject`
  Parameters:
    `lodef` - object definition used to hold options related to the free operation
  Throws:
    `IfsException` - if operation fails.

### findAll

    public static RetentionPolicy[] findAll(LibrarySession session)
                                     throws IfsException

  Description copied from class: `RetentionPolicy`
  Returns the set of defined RetentionPolicy instances.

  The instances will be sorted by name.

  Parameters:
    `session` - the session context
  Returns:
    the set of RetentionPolicy instances; returns null if there are none
  Throws:
    `IfsException` - if the operation fails.

### findByName

    public static RetentionPolicy findByName(LibrarySession session,
                                             java.lang.String name)
                                      throws IfsException

  Description copied from class: `RetentionPolicy`
  Returns a RetentionPolicy matching the specified name.

  RetentionPolicy names are case sensitive, so this operations requires an exact match with respect to case.

  Parameters:
    `session` - the session context
    `name` - the RetentionPolicy name
  Returns:
    the RetentionPolicy matching the specified name; or null if there exists no matching RetentionPolicy
  Throws:
    `IfsException` - if the operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD